//
//  MPAssistant.h
//  MPServices
//
//  Created by Oleksii Dykan on 8/18/14.
//  Copyright (c) 2014 MacPhun. All rights reserved.
//

#import <Cocoa/Cocoa.h>


static NSString * const MPContainersFolderName = @"MacPhun Software";


void MPPerformSelector(id target, SEL selector, id object);

void MPRunNoAnimationBlock(void(^block)());

void MPRunConsistentDrawBlock(void(^block)());

void MPSetAnchorPointAdjustingPosition(CGPoint inPoint, CALayer *inLayer);

void MPDebugLog(NSString *format, ...);

CGRect MPRoundedRect(CGRect);

@interface MPAssistant : NSObject

+ (NSString *)mpAppContainerFolderName;
+ (NSString *)mpAppContainerPath;
+ (NSString *)mpContainersPath;

#ifdef DEBUG
+ (void)clearUserDefaults;
#endif

@end
